
get_filename_component(_qt5_install_prefix ${CMAKE_CURRENT_LIST_DIR}/../../../ ABSOLUTE)

set(Qt5DBus_VERSION_MAJOR 5)
set(Qt5DBus_VERSION_MINOR 0)
set(Qt5DBus_VERSION_PATCH 0)

set(Qt5DBus_LIBRARY Qt5DBus)

set(Qt5DBus_HEADER_DIR "${_qt5_install_prefix}/include" )

set(Qt5DBus_INCLUDE_DIRS "${Qt5DBus_HEADER_DIR}" "${_qt5_install_prefix}/include/QtDBus")

set(Qt5DBus_LIBRARY_DIR "${_qt5_install_prefix}/lib")

string(TOUPPER DBus _CMAKE_MODULE_NAME_UPPER)
set(Qt5DBus_DEFINITIONS -DQT_${_CMAKE_MODULE_NAME_UPPER}_LIB)
set(Qt5DBus_COMPILE_DEFINITIONS QT_${_CMAKE_MODULE_NAME_UPPER}_LIB)

set(_Qt5_MODULE_DEPENDENCIES "Core;Xml")

if (NOT "" STREQUAL "")
    include("${CMAKE_CURRENT_LIST_DIR}/Qt5DBusConfigExtras.cmake")
endif()

if (NOT "" STREQUAL "")
    include("${CMAKE_CURRENT_LIST_DIR}/Qt5DBusMacros.cmake")
endif()

if (NOT _Qt5DBus_target)
    set(_Qt5DBus_target 1)
    add_library(Qt5DBus SHARED IMPORTED)
    if (NOT "true" STREQUAL "")
        set_property(TARGET Qt5DBus PROPERTY FRAMEWORK 1)
    endif()
endif()

if (NOT "debug" STREQUAL "")
    set_property(TARGET Qt5DBus APPEND PROPERTY IMPORTED_CONFIGURATIONS DEBUG)
    set_target_properties(Qt5DBus PROPERTIES
        IMPORTED_LINK_INTERFACE_LIBRARIES_DEBUG "Qt5Core;Qt5Xml"
        IMPORTED_LOCATION_DEBUG "${_qt5_install_prefix}/lib/QtDBus.framework/QtDBus"
    )
    if (NOT "" STREQUAL "")
        set_target_properties(Qt5DBus PROPERTIES
            IMPORTED_IMPLIB_DEBUG "${_qt5_install_prefix}/lib/"
        )
    endif()
endif()

if (NOT "release" STREQUAL "")
    set_property(TARGET Qt5DBus APPEND PROPERTY IMPORTED_CONFIGURATIONS RELEASE)
    set_target_properties(Qt5DBus PROPERTIES
        IMPORTED_LINK_INTERFACE_LIBRARIES_RELEASE "Qt5Core;Qt5Xml"
        IMPORTED_LOCATION_RELEASE "${_qt5_install_prefix}/lib/QtDBus.framework/QtDBus"
    )
    if (NOT "" STREQUAL "")
        set_target_properties(Qt5DBus PROPERTIES
            IMPORTED_IMPLIB_RELEASE "${_qt5_install_prefix}/lib/"
        )
    endif()
endif()
