
get_filename_component(_qt5_install_prefix ${CMAKE_CURRENT_LIST_DIR}/../../../ ABSOLUTE)

set(Qt5Network_VERSION_MAJOR 5)
set(Qt5Network_VERSION_MINOR 0)
set(Qt5Network_VERSION_PATCH 0)

set(Qt5Network_LIBRARY Qt5Network)

set(Qt5Network_HEADER_DIR "${_qt5_install_prefix}/include" )

set(Qt5Network_INCLUDE_DIRS "${Qt5Network_HEADER_DIR}" "${_qt5_install_prefix}/include/QtNetwork")

set(Qt5Network_LIBRARY_DIR "${_qt5_install_prefix}/lib")

string(TOUPPER Network _CMAKE_MODULE_NAME_UPPER)
set(Qt5Network_DEFINITIONS -DQT_${_CMAKE_MODULE_NAME_UPPER}_LIB)
set(Qt5Network_COMPILE_DEFINITIONS QT_${_CMAKE_MODULE_NAME_UPPER}_LIB)

set(_Qt5_MODULE_DEPENDENCIES "Core")

if (NOT "" STREQUAL "")
    include("${CMAKE_CURRENT_LIST_DIR}/Qt5NetworkConfigExtras.cmake")
endif()

if (NOT "" STREQUAL "")
    include("${CMAKE_CURRENT_LIST_DIR}/Qt5NetworkMacros.cmake")
endif()

if (NOT _Qt5Network_target)
    set(_Qt5Network_target 1)
    add_library(Qt5Network SHARED IMPORTED)
    if (NOT "" STREQUAL "")
        set_property(TARGET Qt5Network PROPERTY FRAMEWORK 1)
    endif()
endif()

if (NOT "debug" STREQUAL "")
    set_property(TARGET Qt5Network APPEND PROPERTY IMPORTED_CONFIGURATIONS DEBUG)
    set_target_properties(Qt5Network PROPERTIES
        IMPORTED_LINK_INTERFACE_LIBRARIES_DEBUG "Qt5Core"
        IMPORTED_LOCATION_DEBUG "${_qt5_install_prefix}/lib/libQtNetwork.5.0.0.dylib"
    )
    if (NOT "" STREQUAL "")
        set_target_properties(Qt5Network PROPERTIES
            IMPORTED_IMPLIB_DEBUG "${_qt5_install_prefix}/lib/"
        )
    endif()
endif()

if (NOT "release" STREQUAL "")
    set_property(TARGET Qt5Network APPEND PROPERTY IMPORTED_CONFIGURATIONS RELEASE)
    set_target_properties(Qt5Network PROPERTIES
        IMPORTED_LINK_INTERFACE_LIBRARIES_RELEASE "Qt5Core"
        IMPORTED_LOCATION_RELEASE "${_qt5_install_prefix}/lib/libQtNetwork.5.0.0.dylib"
    )
    if (NOT "" STREQUAL "")
        set_target_properties(Qt5Network PROPERTIES
            IMPORTED_IMPLIB_RELEASE "${_qt5_install_prefix}/lib/"
        )
    endif()
endif()
