
get_filename_component(_qt5_install_prefix ${CMAKE_CURRENT_LIST_DIR}/../../../ ABSOLUTE)

set(Qt5PrintSupport_VERSION_MAJOR 5)
set(Qt5PrintSupport_VERSION_MINOR 0)
set(Qt5PrintSupport_VERSION_PATCH 0)

set(Qt5PrintSupport_LIBRARY Qt5PrintSupport)

set(Qt5PrintSupport_HEADER_DIR "${_qt5_install_prefix}/include" )

set(Qt5PrintSupport_INCLUDE_DIRS "${Qt5PrintSupport_HEADER_DIR}" "${_qt5_install_prefix}/include/QtPrintSupport")

set(Qt5PrintSupport_LIBRARY_DIR "${_qt5_install_prefix}/lib")

string(TOUPPER PrintSupport _CMAKE_MODULE_NAME_UPPER)
set(Qt5PrintSupport_DEFINITIONS -DQT_${_CMAKE_MODULE_NAME_UPPER}_LIB)
set(Qt5PrintSupport_COMPILE_DEFINITIONS QT_${_CMAKE_MODULE_NAME_UPPER}_LIB)

set(_Qt5_MODULE_DEPENDENCIES "Core;Gui;Widgets")

if (NOT "" STREQUAL "")
    include("${CMAKE_CURRENT_LIST_DIR}/Qt5PrintSupportConfigExtras.cmake")
endif()

if (NOT "" STREQUAL "")
    include("${CMAKE_CURRENT_LIST_DIR}/Qt5PrintSupportMacros.cmake")
endif()

if (NOT _Qt5PrintSupport_target)
    set(_Qt5PrintSupport_target 1)
    add_library(Qt5PrintSupport SHARED IMPORTED)
    if (NOT "true" STREQUAL "")
        set_property(TARGET Qt5PrintSupport PROPERTY FRAMEWORK 1)
    endif()
endif()

if (NOT "debug" STREQUAL "")
    set_property(TARGET Qt5PrintSupport APPEND PROPERTY IMPORTED_CONFIGURATIONS DEBUG)
    set_target_properties(Qt5PrintSupport PROPERTIES
        IMPORTED_LINK_INTERFACE_LIBRARIES_DEBUG "Qt5Core;Qt5Gui;Qt5Widgets"
        IMPORTED_LOCATION_DEBUG "${_qt5_install_prefix}/lib/QtPrintSupport.framework/QtPrintSupport"
    )
    if (NOT "" STREQUAL "")
        set_target_properties(Qt5PrintSupport PROPERTIES
            IMPORTED_IMPLIB_DEBUG "${_qt5_install_prefix}/lib/"
        )
    endif()
endif()

if (NOT "release" STREQUAL "")
    set_property(TARGET Qt5PrintSupport APPEND PROPERTY IMPORTED_CONFIGURATIONS RELEASE)
    set_target_properties(Qt5PrintSupport PROPERTIES
        IMPORTED_LINK_INTERFACE_LIBRARIES_RELEASE "Qt5Core;Qt5Gui;Qt5Widgets"
        IMPORTED_LOCATION_RELEASE "${_qt5_install_prefix}/lib/QtPrintSupport.framework/QtPrintSupport"
    )
    if (NOT "" STREQUAL "")
        set_target_properties(Qt5PrintSupport PROPERTIES
            IMPORTED_IMPLIB_RELEASE "${_qt5_install_prefix}/lib/"
        )
    endif()
endif()
