
get_filename_component(_qt5_install_prefix ${CMAKE_CURRENT_LIST_DIR}/../../../ ABSOLUTE)

set(Qt5Widgets_VERSION_MAJOR 5)
set(Qt5Widgets_VERSION_MINOR 0)
set(Qt5Widgets_VERSION_PATCH 0)

set(Qt5Widgets_LIBRARY Qt5Widgets)

set(Qt5Widgets_HEADER_DIR "${_qt5_install_prefix}/include" )

set(Qt5Widgets_INCLUDE_DIRS "${Qt5Widgets_HEADER_DIR}" "${_qt5_install_prefix}/include/QtWidgets")

set(Qt5Widgets_LIBRARY_DIR "${_qt5_install_prefix}/lib")

string(TOUPPER Widgets _CMAKE_MODULE_NAME_UPPER)
set(Qt5Widgets_DEFINITIONS -DQT_${_CMAKE_MODULE_NAME_UPPER}_LIB)
set(Qt5Widgets_COMPILE_DEFINITIONS QT_${_CMAKE_MODULE_NAME_UPPER}_LIB)

set(_Qt5_MODULE_DEPENDENCIES "Core;Gui")

if (NOT "true" STREQUAL "")
    include("${CMAKE_CURRENT_LIST_DIR}/Qt5WidgetsConfigExtras.cmake")
endif()

if (NOT "true" STREQUAL "")
    include("${CMAKE_CURRENT_LIST_DIR}/Qt5WidgetsMacros.cmake")
endif()

if (NOT _Qt5Widgets_target)
    set(_Qt5Widgets_target 1)
    add_library(Qt5Widgets SHARED IMPORTED)
    if (NOT "true" STREQUAL "")
        set_property(TARGET Qt5Widgets PROPERTY FRAMEWORK 1)
    endif()
endif()

if (NOT "debug" STREQUAL "")
    set_property(TARGET Qt5Widgets APPEND PROPERTY IMPORTED_CONFIGURATIONS DEBUG)
    set_target_properties(Qt5Widgets PROPERTIES
        IMPORTED_LINK_INTERFACE_LIBRARIES_DEBUG "Qt5Core;Qt5Gui"
        IMPORTED_LOCATION_DEBUG "${_qt5_install_prefix}/lib/QtWidgets.framework/QtWidgets"
    )
    if (NOT "" STREQUAL "")
        set_target_properties(Qt5Widgets PROPERTIES
            IMPORTED_IMPLIB_DEBUG "${_qt5_install_prefix}/lib/"
        )
    endif()
endif()

if (NOT "release" STREQUAL "")
    set_property(TARGET Qt5Widgets APPEND PROPERTY IMPORTED_CONFIGURATIONS RELEASE)
    set_target_properties(Qt5Widgets PROPERTIES
        IMPORTED_LINK_INTERFACE_LIBRARIES_RELEASE "Qt5Core;Qt5Gui"
        IMPORTED_LOCATION_RELEASE "${_qt5_install_prefix}/lib/QtWidgets.framework/QtWidgets"
    )
    if (NOT "" STREQUAL "")
        set_target_properties(Qt5Widgets PROPERTIES
            IMPORTED_IMPLIB_RELEASE "${_qt5_install_prefix}/lib/"
        )
    endif()
endif()
